<div class="row mx-3">
  <div class="col-md-8">
    <h3>post list  ({{ count | async }})</h3>
    <button [routerLink]="['/post/posts/add-post']" class="btn btn-primary">Add Post</button>

    <table class="table table-stripted" *ngIf="posts | async as postdata">
      <thead>
        <tr>
          <th>Id</th>
          <th>Description</th>
          <th>Completed</th>
          <th>Update</th>
          <th>Delete</th>
        </tr>
      </thead>
      <tbody>
        <!-- <tr *ngFor="let post of posts | async"> -->
          <tr *ngFor="let post of postdata">
          <!-- <td>{{post.id}}</td> -->
          <td>{{post._id}}</td>
          <td>{{post.description}}</td>
          <td>{{post.completed}}</td>

          <!-- here id is user for localy post add uodate and delete -->
          <!-- <td><button class="btn btn-primary" [routerLink]="['/post/posts/update-post/'+post.id]">Update</button></td> -->
          <td><button class="btn btn-primary" [routerLink]="['/post/posts/update-post/'+post._id]">Update</button></td>
          <td><button class="btn btn-danger" (click)="deletepost(post._id)">Delete</button></td>
          <td><button class="btn btn-info"  [routerLink]="['/post/posts/details/'+post._id]">Details</button></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-md-4">
    <router-outlet></router-outlet>
</div>
